Harbor Gateway
  1. Bank Types
Harbor Gateway
  • Harbor Gateway API
    • Harbor Gateway
    • Health & Status
      • Admin interface
      • Health check
    • Transactions
      • List all transactions
      • Create a transaction
      • Get transaction details
      • Release transaction
      • Open locker by transaction ID
    • Lockers
      • List all lockers
      • Get locker configuration
      • Get locker details
      • Update locker service state
      • Open locker by ID
      • Open all lockers
    • Locker Types
      • List all locker types
      • Get locker type details
    • Bank Types
      • List all bank types
        GET
      • Get bank type with associations
        GET
    • System
      • Receive heartbeat from external device
    • Schemas
      • Locker
      • LockerTypeSummary
      • TransactionResponse
      • LockerType
      • LockController
      • System
      • LockerConfig
      • LogEntry
      • OperationResponse
      • LockerOperationResponse
      • MultiStatusOperationResponse
      • BankType
      • OpenAllLockersResponse
      • BankTypeAssociation
      • Error
      • BankTypeWithAssociations
      • DeviceHeartbeatRequest
  1. Bank Types

Get bank type with associations

GET
/bank-types/{bankTypeId}
Retrieve detailed bank type configuration including locker number to type mappings

Request

Path Params

Responses

🟢200
application/json
Bank type details with associations
Body

🟠404
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/bank-types/'
Response Response Example
200 - Example 1
{
    "bankTypeId": 0,
    "friendlyName": "DM Main",
    "description": "string",
    "isDebug": false,
    "lockerCount": 0,
    "createdAt": "2019-08-24T14:15:22.123Z",
    "associations": [
        {
            "bankLockerNumber": 0,
            "lockerType": {
                "slug": "medium",
                "lengthInches": 12,
                "widthInches": 12,
                "heightInches": 18,
                "description": "Medium locker (default)",
                "alwaysOos": false
            },
            "isLow": true
        }
    ]
}
Modified at 2026-02-20 22:56:40
Previous
List all bank types
Next
Receive heartbeat from external device
Built with